import 'package:flx_ui/flx_ui.dart';

class AuthTitleBar extends StatelessWidget {
  final String subtitle;

  const AuthTitleBar({
    Key? key,
    required this.subtitle,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Padding(
          padding: EdgeInsets.all(10).copyWith(left: 0),
          child: IconButton(
            icon: Icons.arrow_back_ios_new_outlined,
            onTap: () {
              if (Navigator.of(context).canPop()) {
                Navigator.of(context).pop();
              } else {
                Navigator.of(context, rootNavigator: true).pop();
              }
            },
          ),
        ),
        Expanded(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text(
                " ID",
                style: TextTheme.title(context),
              ),
              SizedBox(height: 10),
              Text(
                subtitle,
                style: TextTheme.subtitle(context),
              ),
            ],
          ),
        ),
        Padding(
          padding: EdgeInsets.all(10).copyWith(right: 0),
          child: SizedBox(width: 50),
        ),
      ],
    );
  }
}
