import 'package:flx_ui/flx_ui.dart';

class PermissionListItem extends StatelessWidget {
  final String title;
  final bool isImportant;

  const PermissionListItem({
    required this.title,
    this.isImportant = false,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        border: Border(
          bottom: BorderSide(
            color: Colors.black12,
          ),
        ),
      ),
      child: Column(
        children: [
          Padding(
            padding: EdgeInsets.only(
              left: 15,
              right: 15,
              top: 11,
              bottom: 10,
            ),
            child: Row(
              children: [
                Icon(
                  Icons.perm_identity,
                  color:
                      isImportant ? Colors.red : TextTheme.text(context).color,
                  size: 23,
                  semanticLabel: 'Text to announce in accessibility modes',
                ),
                SizedBox(width: 20),
                Text(
                  title,
                  style: TextTheme.text(context),
                  textAlign: TextAlign.start,
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
