import 'package:flutter/cupertino.dart';
import 'package:flx_id_binder/exceptions/client_api_exception.dart';
import 'package:flx_id_overlay/flx_id_overlay.dart';
import 'package:get/get.dart';

import 'package:page_transition/page_transition.dart';

class SignUpEmailController extends GetxController {
  final emailController = TextEditingController();

  final SignInfoTunnelModel signInfoModelEmail;
  final SignUpTunnelModel signUpModelEmail;

  SignUpEmailController(
    this.signInfoModelEmail,
    this.signUpModelEmail,
  );

  String? _errorMessage;
  String? get errorMessage => _errorMessage;

  validateEmail(String email) {
    return email.isEmail;
  }

  onSignUpButtonTap(BuildContext context) {
    var email = emailController.text;

    if (!validateEmail(email)) {
      _errorMessage = "Text field must not be empty";
    } else {
      Navigator.push(
        context,
        PageTransition(
          type: PageTransitionType.fade,
          child: SignUpPasswordScreen(
            signInfo: signInfoModelEmail,
            signUp: SignUpTunnelModel(
              firstName: signUpModelEmail.firstName,
              lastName: signUpModelEmail.lastName,
              nickname: signUpModelEmail.nickname,
              password: signUpModelEmail.password,
              email: email,
            ),
          ),
        ),
      );
    }

    update();
  }
}
