import 'package:flx_id_overlay/flx_id_overlay.dart';
import 'package:flx_id_overlay/generated/l10n.dart';
import 'package:flx_ui/flx_ui.dart';
import 'package:get/get.dart';
import 'package:page_transition/page_transition.dart';

class SignUpNamesScreen extends StatelessWidget {
  final SignInfoTunnelModel signInfoModelNames;
  final SignUpTunnelModel signUpModelNames;

  const SignUpNamesScreen({
    Key? key,
    required this.signInfoModelNames,
    required this.signUpModelNames,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return AuthScaffold(
      subtitle: S.of(context).signUp,
      body: GetBuilder<SignUpNamesController>(
        init: SignUpNamesController(signInfoModelNames, signUpModelNames),
        builder: (controller) => Column(
          children: [
            Spacer(),
            Row(
              children: [
                Expanded(
                  child: TextField(
                    controller: controller.firstNameController,
                    placeholder: S.of(context).firstName,
                  ),
                ),
                SizedBox(width: 20),
                Expanded(
                  child: TextField(
                    controller: controller.lastNameController,
                    placeholder: S.of(context).lastName,
                  ),
                ),
              ],
            ),
            SizedBox(height: 20),
            TextField(
              controller: controller.nicknameController,
              placeholder: S.of(context).nickname,
            ),
            Spacer(),
            controller.errorMessage != null
                ? Text(
                    controller.errorMessage!,
                    style: TextTheme.text(context).copyWith(
                      color: Colors.red,
                    ),
                  )
                : SizedBox(),
            SizedBox(height: 20),
            SpaciousButton(
              text: S.of(context).next,
              onTap: () => controller.onSignUpButtonTap(context),
            ),
          ],
        ),
      ),
    );
  }
}
