import 'package:flx_id_overlay/flx_id_overlay.dart';
import 'package:flx_id_overlay/generated/l10n.dart';
import 'package:flx_ui/flx_ui.dart';
import 'package:get/get.dart';
import 'package:page_transition/page_transition.dart';

class SignUpPasswordScreen extends StatelessWidget {
  final SignInfoTunnelModel signInfo;
  final SignUpTunnelModel signUp;

  const SignUpPasswordScreen({
    Key? key,
    required this.signInfo,
    required this.signUp,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return AuthScaffold(
      subtitle: S.of(context).signUp,
      body: GetBuilder<SignUpPasswordController>(
        init: SignUpPasswordController(signInfo, signUp),
        builder: (controller) => Column(
          children: [
            Spacer(),
            TextField(
              controller: controller.passwordController,
              placeholder: S.of(context).password,
              isConceal: true,
            ),
            SizedBox(height: 20),
            TextField(
              controller: controller.rePasswordController,
              placeholder: S.of(context).rePassword,
              isConceal: true,
            ),
            Spacer(),
            controller.errorMessage != null
                ? Text(
                    controller.errorMessage!,
                    style: TextTheme.text(context).copyWith(
                      color: Colors.red,
                    ),
                  )
                : SizedBox(),
            SizedBox(height: 20),
            SpaciousButton(
              text: S.of(context).next,
              onTap: () => controller.onSignUpButtonTap(context),
            ),
          ],
        ),
      ),
    );
  }
}
