import 'package:flx_id_overlay/flx_id_overlay.dart';
import 'package:flx_id_overlay/generated/l10n.dart';
import 'package:flx_ui/flx_ui.dart';
import 'package:get/get.dart';

class SignUpSelectPhotoScreen extends StatelessWidget {
  final SignInfoTunnelModel signInfo;
  final SignUpTunnelModel signUp;

  SignUpSelectPhotoScreen({
    Key? key,
    required this.signInfo,
    required this.signUp,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return AuthScaffold(
      subtitle: S.of(context).signUp,
      body: GetBuilder<SignUpSelectPhotoController>(
        init: SignUpSelectPhotoController(signInfo, signUp),
        builder: (controller) => Column(
          children: [
            Spacer(),
            controller.errorMessage != null
                ? Text(
                    controller.errorMessage!,
                    style: TextTheme.text(context).copyWith(
                      color: Colors.red,
                    ),
                  )
                : SizedBox(),
            SizedBox(height: 20),
            Text(
              S.of(context).signUpText,
              style: TextTheme.caption(context).copyWith(
                color: Colors.grey[700],
              ),
              textAlign: TextAlign.center,
            ),
            SizedBox(height: 20),
            SpaciousButton(
              text: S.of(context).signUp,
              onTap: () => controller.onSignUpButtonTap(context),
            ),
          ],
        ),
      ),
    );
  }
}
